
Smart Proxy - Bug #18369

Foreman-proxy timeout -  Error: ERF12-4115 [ProxyAPI::ProxyException]

02/02/2017 09:16 AM - Slagian Momirovici

Status: Duplicate   

Priority: Normal   

Assignee:    

Category: Puppet   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases: 1.13.2

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Hi,

We have 4 environments -- with multiple classes inside.

It seems the problem increased since we added more classes inside the environments.

Our problem: If we add a new module to an environment -- we need first to hit import, like 3-5 times ==> till the environment changes

are detected.

Can you please help us related?

Related issues:

Related to Smart Proxy - Bug #17942: Timeout during Puppet class import, slow... Rejected 01/05/2017

History

#1 - 02/02/2017 09:17 AM - Slagian Momirovici

- Related to Bug #17942: Timeout during Puppet class import, slow re-initialization of Puppet 3 added

#2 - 02/02/2017 09:17 AM - Dominic Cleal

Which version of Puppet is in use, and which version is specified in the smart proxy's puppet.yml configuration?

#3 - 02/02/2017 09:20 AM - Slagian Momirovici

- File environments.png added

- Subject changed from Foreman-proxy timeou - t Error: ERF12-4115 [ProxyAPI::ProxyException] to Foreman-proxy timeout -  Error: ERF12-4115

[ProxyAPI::ProxyException]

I've attached also our environments for info.

thank you in advance

#4 - 02/02/2017 09:29 AM - Slagian Momirovici

our puppetmaster server: 3.8.5-5.1

in the foreman-proxy/:

puppet.yaml

1. Puppet version used

:puppet_version: 3.8.5

smart-proxy deployed under separate user => foreman-proxy that uses rvm

puppetmaster:/apps/deployer/foreman-proxy # su - foreman-proxy

foreman-proxy@puppetmaster:~> which puppet

/home/foreman-proxy/.rvm/gems/ruby-2.1.0/bin/puppet

foreman-proxy@puppetmaster:~> puppet --version

3.8.7
#5 - 02/02/2017 09:29 AM - Slagian Momirovici

does it affect if the gem used is 3.8.7?

#6 - 02/02/2017 09:32 AM - Dominic Cleal

- Status changed from New to Duplicate

Thanks, since it's Puppet 3 I think it's a duplicate of the issue you've already linked it to so I'm going to close it. If you believe it's a different issue for

some reason, please add more info.

#7 - 02/03/2017 05:48 AM - Slagian Momirovici

Hi Dominic,

I am a little confused - where should I add this setting?

environment-class-cache-enabled ??

#8 - 02/08/2017 03:43 AM - Dominic Cleal

That's a Puppet Server 2.x (i.e. Puppet 4) setting, I don't think it's relevant to you using Puppet 3.
